# Class TransformationFactory

java.lang.Object
org.apache.tomcat.websocket.TransformationFactory

public class TransformationFactory extends Object

## Method Summary

Modifier and Type
Method
Description
`Transformation`
`create(String name, List<List<Extension.Parameter>> preferences, boolean isServer)`
`Set<String>`
`getInstalledExtensionNames()`
`Set<Extension>`
`getInstalledExtensions()`
`static TransformationFactory`
`getInstance()`
`void`
`registerExtension(String name, TransformationBuilder builder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static TransformationFactory getInstance()

### create

public Transformation create(String name, List<List<Extension.Parameter>> preferences, boolean isServer)

### registerExtension

public void registerExtension(String name, TransformationBuilder builder)

### getInstalledExtensionNames

public Set<String> getInstalledExtensionNames()

### getInstalledExtensions

public Set<Extension> getInstalledExtensions()